Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.mvc.builder
Class DelegatingFlowViewResolver

    java.lang.Object
      org.springframework.webflow.mvc.builder.DelegatingFlowViewResolver

All Implemented Interfaces:
  FlowViewResolver

    public class DelegatingFlowViewResolver

extends java.lang.Object
implements FlowViewResolver

Delegates to a configured view resolver chain to resolve the Spring MVC view implementation to render.

Author:
  Keith Donald
See Also:
  `ViewResolver`

Constructor Summary
`DelegatingFlowViewResolver(java.util.List viewResolvers)` Creates a new flow view resolver.

Method Summary
`java.lang.String` | `getViewIdByConvention(java.lang.String viewStateId)` Get the default id of the view to render in the provided view state by convention.
`org.springframework.web.servlet.View` | `resolveView(java.lang.String viewId, RequestContext context)` Resolve the Spring MVC view with the provided id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingFlowViewResolver

    public DelegatingFlowViewResolver(java.util.List viewResolvers)

  Creates a new flow view resolver.

  Parameters:
    `viewResolvers` - the Spring MVC view resolver chain to delegate to

Method Detail

### resolveView

    public org.springframework.web.servlet.View resolveView(java.lang.String viewId,
                                                            RequestContext context)

  Description copied from interface: `FlowViewResolver`
  Resolve the Spring MVC view with the provided id.

  Specified by:
    `resolveView` in interface `FlowViewResolver`
  Parameters:
    `viewId` - the view id, typically treated as a Spring MVC view name
    `context` - the current flow request
  Returns:
    the resolved Spring MVC view

### getViewIdByConvention

    public java.lang.String getViewIdByConvention(java.lang.String viewStateId)

  Description copied from interface: `FlowViewResolver`
  Get the default id of the view to render in the provided view state by convention.

  Specified by:
    `getViewIdByConvention` in interface `FlowViewResolver`
  Parameters:
    `viewStateId` - the view state id
  Returns:
    the default view id

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD